:root {
    --background-color-light: #FCFCFC;
    --text-color-light: #333333;
    --link-color-light: #D30001;
    --figcaption-color-light: #666;

    --background-color-dark: #121212;
    --text-color-dark: #E0E0E0;
    --link-color-dark: #EE3F3F;
    --figcaption-color-dark: #CCC;
}

body {
    color: var(--text-color-light);
    background-color: var(--background-color-light);
    font-family: 'Noto Sans Mono', monospace;
    font-size: 15px;
    margin: 0;
    padding: 0;
    transition: background-color 0.3s, color 0.3s
}

.container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
}

h1 {
    font-size: 2.5em;
    font-weight: 800;
    text-align: center;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.subtitle {
    text-align: center;
    font-style: italic;
    font-size: 1.6em;
    margin-bottom: 3em;
}

h2, h3, h4, h5, h6 {
    font-weight: 600;
}

h2 {
    font-size: 2em;
    margin-top: 1.7em;
    margin-bottom: 0.5em;
    padding-bottom: 0.25em;
    border-bottom: 2px solid var(--link-color-light);
}

h3 {
    font-size: 1.4em;
    margin-top: 1em;
    margin-bottom: 0.5em;
}

p {
    margin-top: 1em;
    margin-bottom: 1em;
    line-height: 1.4;
}

a {
    color: var(--link-color-light);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

img {
    max-width: 100%;
    height: auto;
}

.awards-image-container {
    display: block;
    max-width: 90%;
    margin: 0 auto;
    text-align: center;
}

.awards-image-container img {
    width: 100%;
    height: auto;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.15);
    border-radius: 10px;
}

.awards-image-container figcaption {
    font-size: 0.9em;
    margin-top: 1em;
    font-style: italic;
    color: var(--figcaption-color-light);
    line-height: 1.4;
    padding: 0.5em 0;
}

.conferences {
    list-style: none;
    padding-left: 0;
    margin-left: 2em;
}

.conferences li {
    text-indent: -1em;
    margin-left: 1em;
    margin-bottom: 0.5em;
}

.conference {
    font-style: italic;
}

.book-section {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    margin-bottom: 2em;
}

.book-metadata {
    flex: 1;
    padding-right: 1em;
}

.metadata-entry {
    margin-bottom: 0.5em;
}

.book-cover {
    height: 150px;
    width: auto;
    align-self: start;
    margin-left: 1em;
    border-radius: 3px;
    box-shadow: 5px 5px 5px rgba(133, 133, 133, 0.5);
}

.book-title {
    font-style: italic;
}

.metadata-entry .label {
    font-weight: 600;
}

.comment {
    margin-top: 1em;
}

#client-testimonials blockquote {
    font-style: italic;
    color: var(--text-color-light);
    margin: 20px 0;
    padding-left: 20px;
}

#client-testimonials .video-testimonial {
    margin: 20px 0;
    text-align: center;
}

#client-testimonials .video-testimonial video {
    width: 100%;
    max-width: 700px;
    height: auto;
    border-radius: 10px;
}

@media (max-width: 600px) {
    body {
        font-size: 14px;
    }

    .book-section {
        flex-direction: column;
    }

    .book-metadata {
        padding-right: 0;
    }

    .book-cover-container {
        order: -1;
        height: auto;
        width: 100%;
        margin-bottom: 1em;
    }
}

@media (prefers-color-scheme: dark) {
    body {
        color: var(--text-color-dark);
        background-color: var(--background-color-dark);
    }

    h2 {
        border-bottom: 2px solid var(--link-color-dark);
    }

    a {
        color: var(--link-color-dark);
    }

    .awards-image-container figcaption {
        color: var(--figcaption-color-dark);
    }

    #client-testimonials blockquote {
        color: var(--text-color-dark);
    }
}

@media screen and (prefers-reduced-motion: no-preference) {
  @view-transition {
    navigation: auto;
  }
}
